Skip to content

Edit the featured image of an article ​

Articles

A moderator can edit a featured image for an article. Note that this will overwrite existing featured image. The allowed image extensions for featured image are png, jpeg, jpg, gif.

POST
/articles/{id}/editFeaturedImage

Parameters​

Path Parameters

id*

ID of the article to interact with

Type
string
Required

Query Parameters

moderatorId*

ID of the moderator editing the featured image

Type
string
Required

Request Body​

application/json
JSON
{
  
"featuredImage": "http://example.com/featuredImage.jpg"
}

Responses​

Article featured image was changed

Samples​

Gainsight CC Developer Portal